// Exo Suit effects
ServerEvents.tick(event => {
  event.server.players.forEach(player => {
    if (!player || player.isCreative() || player.isSpectator()) return

    // Check full armor
    const wearingFullExo =
      player.getEquipment('head').id == 'scguns:exo_suit_helmet' &&
      player.getEquipment('chest').id == 'scguns:exo_suit_chestplate' &&
      player.getEquipment('legs').id == 'scguns:exo_suit_leggings' &&
      player.getEquipment('feet').id == 'scguns:exo_suit_boots'

    if (!wearingFullExo) return

    player.potionEffects.add('cataclysm:monstrous', 60, 2, true, true) 
    player.potionEffects.add('minecraft:strength', 60, 1, true, true) 
    player.potionEffects.add('parcool:inexhaustible', 60, 0, true, true) 
    player.potionEffects.add('born_in_chaos_v1:stimulation', 60, 1, true, true) 
  })
})
